Update Edge
curl --request PATCH \
--url https://api-prod.interactly.ai/workflows/v1/edges/{edge_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-prod.interactly.ai/workflows/v1/edges/{edge_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-prod.interactly.ai/workflows/v1/edges/{edge_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edge": {
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"edge_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"source_node_logical_id": "<string>",
"destination_node_logical_id": "<string>",
"type": "direct"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Edges
Update Edge
Endpoint to update a edge by its ID. Optionally verify the edge belongs to a specific version number before updating.
PATCH
/
workflows
/
v1
/
edges
/
{edge_id}
Update Edge
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Verify edge belongs to this version number before updating (0 includes legacy edges)
Body
application/json
The body is of type Body · object.
Response
Successful Response
Response model for a single edge. Contains an EdgesModel object.
Single edge object
Show child attributes
Show child attributes
⌘I